## org.h2.value
Class ValueJavaObject

    java.lang.Object
      org.h2.value.Value
          org.h2.value.ValueBytes
              org.h2.value.ValueJavaObject

    public class ValueJavaObject

extends ValueBytes

Implementation of the OBJECT data type.

Nested Class Summary

Nested classes/interfaces inherited from class org.h2.value.Value
`Value.ValueBlob, Value.ValueClob`

Field Summary

Fields inherited from class org.h2.value.Value
`ARRAY, BLOB, BOOLEAN, BYTE, BYTES, CLOB, DATE, DECIMAL, DOUBLE, FLOAT, INT, JAVA_OBJECT, LONG, NULL, RESULT_SET, SHORT, STRING, STRING_FIXED, STRING_IGNORECASE, TIME, TIMESTAMP, TYPE_COUNT, UNKNOWN, UUID`

Constructor Summary
`protected` `ValueJavaObject(byte[] v)`

Method Summary
`static ValueJavaObject` `getNoCopy(byte[] b)` Get or create a java object value for the given byte array.
`int` `getType()` Get the value type.
`void` `set(java.sql.PreparedStatement prep, int parameterIndex)` Set the value as a parameter in a prepared statement.

Methods inherited from class org.h2.value.ValueBytes
`compareSecure, equals, get, getBytes, getBytesNoCopy, getDisplaySize, getMemory, getObject, getPrecision, getSQL, getString, hashCode`

Methods inherited from class org.h2.value.Value

`add, checkPrecision, clearCache, close, compareTo, compareTypeSave, convertPrecision, convertScale, convertTo, copyToTemp, divide, getBigDecimal, getBoolean, getByte, getDate, getDateNoCopy, getDouble, getFloat, getHigherOrder, getInputStream, getInt, getLong, getReader, getScale, getShort, getSignum, getSmall, getTableId, getTime, getTimeNoCopy, getTimestamp, getTimestampNoCopy, getTraceSQL, isFileBased, isLinked, link, modulus, multiply, negate, subtract, throwUnsupportedExceptionForType, toString, unlink`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueJavaObject

    protected ValueJavaObject(byte[] v)

Method Detail

### getNoCopy

    public static ValueJavaObject getNoCopy(byte[] b)

  Get or create a java object value for the given byte array. Do not clone the data.

  Parameters:
    `b` - the byte array
  Returns:
    the value

### getType

    public int getType()

  Description copied from class: `Value`
  Get the value type.

  Overrides:
    `getType` in class `ValueBytes`
  Returns:
    the type

### set

    public void set(java.sql.PreparedStatement prep,
                    int parameterIndex)
             throws java.sql.SQLException

  Description copied from class: `Value`
  Set the value as a parameter in a prepared statement.

  Overrides:
    `set` in class `ValueBytes`
  Parameters:
    `prep` - the prepared statement
    `parameterIndex` - the parameter index
  Throws:
    `java.sql.SQLException`